Subject: [CCAMP] draft-ceccarelli-ccamp-gmpls-ospf-g709-01 - new proposal

From: Biao Lu <[email-masked]>
Date: Wed, 24 Mar 2010 08:51:43 -0700

Folks:

After reading through this draft, I have a different proposal:

1. ODU and ODUflex are really different encoding instead of different switching cap.
2. ODUflex really needs the service bandwidth instead of TS numbers.

So here is the proposal:

a. There is no need to define a new top level ISCD as in Section 5 defines a new ISCD. We should reuse ISCD defined in RFC4203 with Switching Cap as TDM. But we will need to define two new encoding types:
          ODU
          ODUflex

b. For encoding type ODU, I suggest to change the Max LSP Bandwidth to encode as TS numbers instead of IEEE floating point format bandwidth. This has to be agreed by folks. We can't use IEEE encoding because the TS is different rate in different HO ODU.
 
For this encoding type, we should have a 'Switching Capability-specific information' to list the supported LO ODU. It can be same as the 'signal flags' defined in the current draft.

c. For ODUflex encoding type, I suggest to keep the IEEE floating point format.

Also, for this encoding type, we might need a 'Switching Capability-specific information' to list the supported ODUflex if certain equipment doesn't support all possible ODUflex rate.

d. suggest to have a dedicated section on link bundling.

Thoughts?

Biao